@import url("/assets/font/gt-mechanik/load.css");

* {
    font-family: "Strichpunkt Sans", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    box-sizing: border-box;
    font-variation-settings: "wdth" 100;
}

html,
body {
    margin: 0;
    width: 100%;
    height: 100%;
    background: #0a0809;
    color: white;
    overflow: hidden;
}

.root {
    display: flex;
    flex-direction: column;
    gap: 16px;
    width: 100%;
    height: 100%;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-shrink: 0;
    min-height: 40px;
    max-height: 40px;
    margin: 16px 32px 0 32px;
}

.header-nav-left,
.header-nav-right {
    display: flex;
    align-items: center;
    max-height: 40px;
}

.icon_button {
    color: #ffffff;
    cursor: pointer;
    transition: 0.1s;
    width: 24px;
    height: 24px;
}

.icon_button:hover {
    color: #ff16c5;
}

#home-nav {
    cursor: pointer;
}

.main {
    flex: 1;
    overflow-y: auto;
    padding: 0 32px 32px 32px;
}

.main h3 {
    margin-top: 16px;
    margin-bottom: 16px;
}

.channel-shelf {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(230px, 1fr));
    gap: 24px;
    justify-content: start;
    width: 100%;
}

.channel-card {
    display: flex;
    flex-direction: column;
    gap: 12px;
    width: 100%;
    min-width: 0;
    cursor: pointer;
    position: relative;
    user-select: none;
}

.channel-card__thumbnail {
    position: relative;
}

.channel-card img {
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    border-radius: 8px;
    border: solid;
    border-width: 2px;
    border-color: transparent;
    display: block;
    transition: box-shadow 0.1s ease-out;
}

.channel-card:hover img {
    box-shadow: 0 0 0 2px #ff16c5;
}

.channel-card__handle {
    margin: 0;
    font-size: 14px;
    font-weight: 500;
    font-variation-settings: "TONE" 50;
}

.channel-card__viewers {
    display: flex;
    align-items: center;
    gap: 4px;
    position: absolute;
    padding: 4px;
    background: #0a0809;
    color: #ff16c5;
    font-size: 12px;
    bottom: 8px;
    left: 8px;
    border-radius: 4px;
    font-weight: 600;
}

.offline {
    cursor: not-allowed;
}

.offline img {
    filter: grayscale(1);
}

.offline:hover img {
    filter: grayscale(0);
}
